Skip to main content
GET
/
api
/
v1
/
transactions
/
verify
Verify
curl --request GET \
  --url https://routexapi.xoroai.cloud/api/v1/transactions/verify \
  --header 'Authorization: Bearer <token>'
{
  "status": true,
  "message": "Verification successful",
  "data": {
    "reference": "TXN_123456",
    "status": "success",
    "domain": "TEST",
    "type": "PAYMENT",
    "amount": 5000,
    "fee": 50,
    "currency": "NGN",
    "created_at": "2025-09-17T12:00:00Z",
    "updated_at": "2025-09-17T12:05:00Z",
    "customer": {
      "email": "jsmith@example.com",
      "name": "<string>"
    },
    "narration": "Payment for order 123",
    "metadata": {
      "order_id": "123"
    },
    "selected_gateway": "fltw",
    "gateway_reference": "FLTW_PROC_001",
    "attempts": [
      {
        "attempt_no": 123,
        "gateway": "<string>",
        "status": "<string>",
        "gateway_reference": "<string>",
        "latency_ms": 123
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

reference
string
required

Transaction reference

Response

Successful Response

status
boolean
required

Indicates if verification was successful

Example:

true

message
string
required

Human-readable message

Example:

"Verification successful"

data
TransactionData · object
required

Details of the verified transaction